.grid-container {
  background-color: red;
  height: 100vh;
  display: grid;

  grid-template-columns: 300px 1fr;
  grid-template-rows: 60px 1fr;

  grid-template-areas:
    "side header"
    "side main";
}

.header {
  background-color: #fff;

  /*  Rudimentary Approach */
  /* grid-column: 2 / 3;
  grid-row: 1/2; */

  /* Grid Template Areas */
  grid-area: header;
}

.sidebar {
  background-color: #1c1d23;
  color: red;
  /* Rudimentary Approach */
  /* grid-column: 1/ 2;
  grid-row: 1/3; */

  /* Grid Template Areas */
  grid-area: side;
}

.main {
  background-color: #c3c5ca;

  /* Rudimentary Approach */
  /* grid-column: 2/3;
  grid-row: 2/3; */

  /* Grid Template Areas */
  /* Grid item w.r.t. the container */
  grid-area: main;

  padding: 25px;

  /* Grid container for the card components */
  display: grid;

  /* Size of the grid items (card components) */
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  grid-template-areas:
    "card1 card2 card3"
    "card4 card4 card5"
    "card4 card4 card6";
  gap: 20px;
}

.card {
  background-color: #f6f7f9;
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
}

/* select card that is a 1st child */
.card:nth-child(1) {
  grid-area: card1;
}

.card:nth-child(1) {
  grid-area: card1;
}

.card:nth-child(2) {
  grid-area: card2;
}

.card:nth-child(3) {
  grid-area: card3;
}

.card:nth-child(4) {
  grid-area: card4;
}

.card:nth-child(5) {
  grid-area: card5;
}

.card:nth-child(6) {
  grid-area: card6;
}

@media (max-width: 767px) {
  .main {
    /* on a small screen, change grid layout to 1 col */
    grid-template-columns: 1fr;
    /* create 6 rows that are 200px high */
    grid-template-rows: repeat(6, 200px);
    grid-template-areas: initial;
  }

  /* undo the grid template areas */
  .card {
    grid-area: initial !important;
  }
}
